Family Management API
Get Family List
Request URL
POST /api/v1.0/invoke/open-ability/method/manager-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| project_id | String | Body | Yes | Project ID |
| page_size | Integer | Body | Yes | Page size |
| page_index | Integer | Body | Yes | Page index |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | []Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| residence_id | String | Body | Residence ID |
| family_name | String | Body | Family name |
| residence_no | String | Body | Residence number |
| building_id | String | Body | Building ID |
| building_name | String | Body | Building name |
| accounts | []Object<account> | Body | Account information |
| devices | []Object<device> | Body | Device information |
| akuvox_devices | []Object<akuvox_device> | Body | Akuvox device information |
account description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| account_id | String | Body | Account ID |
| account_name | String | Body | Account name |
| first_name | String | Body | First name |
| last_name | String | Body | Last name |
| String | Body | ||
| phone | String | Body | Phone |
| auth | String | Body | Account authorization admin: owner, the top administrator user: family administrator guest: family ordinary user |
| created_time | String | Body | Created time, UTC |
device description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| device_id | String | Body | Device ID |
| device_name | String | Body | Device name |
| product_name | String | Body | Product name |
| mac | String | Body | MAC |
| space_name | String | Body | Space name |
| online | Boolean | Body | Whether the device is online or not? true: online false: offline |
| created_time | String | Body | Created time, UTC |
akuvox_device description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| device_name | String | Body | Device name |
| device_type | String | Body | Device type, Multi-tenants Doorphone or Single-tenant Doorphone or Indoor Monitor or Guard Phone or Access Control |
| mac | String | Body | MAC |
| online | Boolean | Body | Whether the device is online or not? true: online false: offline |
| created_time | String | Body | Created time, UTC |
Request Example
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_family_list",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"page_size": 1,
"page_index": 1,
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1724721898925,
"result": [
{
"residence_id": "r2c4b070cc928496198944858b344fc68",
"family_name": "test",
"residence_no": "101",
"building_id": "b1a621c1ae77040d697bd2134700f57ee",
"building_name": "AB01",
"accounts": [
{
"account_id": "a1a621c1ae77040d697bd2134700f57ee",
"account_name": "test@akubela.com",
"first_name": "Fly",
"last_name": "Dom",
"phone": "1234567",
"email": "test@akubela.com",
"created_time": "2024-07-23 17:13:53",
"auth": "admin"
}
],
"devices": [
{
"device_id": "d28b494e5babb46b288f4baf7fe322cc4",
"device_name": "HyPanel Pro",
"product_name": "HyPanel Pro",
"mac": "B10300240717",
"space_name": "Living Room",
"online": true,
"created_time": "2024-07-17 17:55:30"
}
],
"akuvox_devices": [
{
"device_type": "Multi-tenants Doorphone",
"device_name": "test",
"mac": "0CF10532D226",
"online": true,
"created_time": "2024-07-17 17:55:31"
}
]
}
]
}
Failure Return Example
Get Family Information
Request URL
POST /api/v1.0/invoke/open-ability/method/manager-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| project_id | String | Body | Yes | Project ID |
| residence_id | String | Body | Yes | Residence ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| family_name | String | Body | Family name |
| residence_no | String | Body | Residence number |
| building_id | String | Body | Building ID |
| building_name | String | Body | Building name |
| call_type | String | Body | Call type ip: IP call sip: SIP call |
| accounts | []Object<account> | Body | Account information |
| devices | []Object<device> | Body | Device information |
| akuvox_devices | []Object<akuvox_device> | Body | Akuvox device information |
account description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| account_id | String | Body | Account ID |
| account_name | String | Body | Account name |
| first_name | String | Body | First name |
| last_name | String | Body | Last name |
| String | Body | ||
| phone | String | Body | Phone |
| auth | String | Body | Account authorization admin: owner, the top administrator user: family administrator guest: family ordinary user |
| created_time | String | Body | Created time, UTC |
device description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| device_id | String | Body | Device ID |
| device_name | String | Body | Device name |
| product_name | String | Body | Product name |
| mac | String | Body | MAC |
| space_name | String | Body | Space name |
| online | Boolean | Body | Whether the device is online or not? true: online false: offline |
| created_time | String | Body | Created time, UTC |
akuvox_device description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| device_name | String | Body | Device name |
| device_type | String | Body | Device type, Multi-tenants Doorphone or Single-tenant Doorphone or Indoor Monitor or Guard Phone or Access Control |
| mac | String | Body | MAC |
| online | Boolean | Body | Whether the device is online or not? true: online false: offline |
| created_time | String | Body | Created time, UTC |
Request Example
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_family_info",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5",
"residence_id": "r2c4b070cc928496198944858b344fc68"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1724721898925,
"result": {
"family_name": "test",
"residence_no": "101",
"building_id": "b1a621c1ae77040d697bd2134700f57ee",
"building_name": "AB01",
"call_type": "ip",
"accounts": [
{
"account_id": "a1a621c1ae77040d697bd2134700f57ee",
"account_name": "test@akubela.com",
"first_name": "Fly",
"last_name": "Dom",
"phone": "1234567",
"email": "test@akubela.com",
"created_time": "2024-07-23 17:13:53",
"auth": "admin"
}
],
"devices": [
{
"device_id": "d28b494e5babb46b288f4baf7fe322cc4",
"device_name": "HyPanel Pro",
"product_name": "HyPanel Pro",
"mac": "B10300240717",
"space_name": "Living Room",
"online": true,
"created_time": "2024-07-17 17:55:30"
}
],
"akuvox_devices": [
{
"device_type": "Multi-tenants Doorphone",
"device_name": "test",
"mac": "0CF10532D226",
"online": true,
"created_time": "2024-07-17 17:55:31"
}
]
}
}
Failure Return Example
Get Family Remote Connect
Request URL
POST /api/v1.0/invoke/open-ability/method/manager-commands
Request Parameter
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| Content-Type | String | Header | Yes | Content type, the value is application/json |
| Accept | String | Header | Yes | Accept, the value is application/json |
| Authorization | String | Header | Yes | Bearer authorization, access token |
| command | String | Body | Yes | Command name |
| id | String | Body | Yes | Command ID |
| param | Object<param> | Body | Yes | Command parameter |
param description
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| project_id | String | Body | Yes | Project ID |
| residence_id | String | Body | Yes | Residence ID |
Return Parameter
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| Content-Type | String | Header | Content type, the value is application/json |
| success | Boolean | Body | Whether the request is successful or not? true: success false: failure |
| timestamp | Integer | Body | Timestamp |
| result | Object<result> | Body | Return result |
result description
| Parameter Name | Type | Location | Description |
|---|---|---|---|
| remote_connect_url | String | Body | Remote connect URL |
| online | Boolean | Body | Whether the family is online or not? true: online false: offline |
Request Example
POST /api/v1.0/invoke/open-ability/method/manager-commands
Content-Type: application/json
Accept: application/json
Authorization: Bearer ac45e846ca23ab42c9ae469d988ae32a9
{
"command": "get_family_remote_connect",
"id": "c45e846ca23ab42c9ae469d988ae32a96",
"param": {
"project_id": "pr31adc223cc4b3bedb6bd4742dedcfa5",
"residence_id": "r2c4b070cc928496198944858b344fc68"
}
}
Success Return Example
Status Code: 200
Content-Type: application/json
{
"success": true,
"timestamp": 1724721898925,
"result": {
"remote_connect_url": "https://test.my.ecloud.akubela.com",
"online": true
}
}